Bug 189749 - Add staging support to mail/gmime2-sharp mail/gmime24-sharp mail/gmime26-sharp
Add staging support to mail/gmime2-sharp mail/gmime24-sharp mail/gmime26-sharp
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: mono
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-13 09:30 UTC by Alan Hicks
Modified: 2014-05-29 22:20 UTC (History)
0 users

See Also:


Attachments
gmime2-sharp.diff (919 bytes, patch)
2014-05-13 09:30 UTC, Alan Hicks
no flags Details | Diff
gmime26-sharp.diff (715 bytes, patch)
2014-05-13 09:30 UTC, Alan Hicks
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Hicks 2014-05-13 09:30:00 UTC
Add staging support to mail/gmime2-sharp mail/gmime24-sharp mail/gmime26-sharp

With mail/gmime2-sharp set to ignore, it may be more appropriate to either delete it or let it expire.

Fix: Apply attached patches to add staging support, updated lib_depends and options_exclude
	

diff -ur ../../default/mail/gmime24-sharp/Makefile gmime24-sharp/Makefile
--- ../../default/mail/gmime24-sharp/Makefile	2014-01-22 17:00:46.000000000 +0000
+++ gmime24-sharp/Makefile	2014-05-11 09:56:16.000000000 +0100
@@ -8,7 +8,7 @@
 MAINTAINER=	mono@FreeBSD.org
 COMMENT=	Mono bindings for gmime
 
-LIB_DEPENDS=	gmime-2.4:${PORTSDIR}/mail/gmime24
+LIB_DEPENDS=	libgmime-2.4.so:${PORTSDIR}/mail/gmime24
 
 MASTERDIR=	${.CURDIR}/../gmime24
 BUILD_WRKSRC=	${WRKSRC}/mono
@@ -22,10 +22,9 @@
 LATEST_LINK=	gmime24-sharp
 
 # Else we conflict with mail/gmime24
-NOPORTDOCS=	yes
+OPTIONS_EXCLUDE=	DOCS
 
 # Done in pre-configure because master port has a post-patch target already.
-NO_STAGE=	yes
 pre-configure:
 	@${REINPLACE_CMD} -e 's|.@GMIME_VERSION@||g' \
 		${WRKSRC}/mono/gmime-sharp.dll.config.in
--- gmime24-sharp.diff ends here ---
Comment 1 Edwin Groothuis freebsd_committer 2014-05-13 09:30:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mono

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-05-29 22:16:17 UTC
Author: tijl
Date: Thu May 29 21:16:11 2014
New Revision: 355751
URL: http://svnweb.freebsd.org/changeset/ports/355751
QAT: https://qat.redports.org/buildarchive/r355751/

Log:
  mail/gmime2 mail/gmime2-sharp:
  - USES=libtool
  - Use USES+= to fix slave port.
  - Remove LATEST_LINK and PTHREAD_CFLAGS.
  - Remove $FreeBSD$ from patch.
  
  mail/dbmail22:
  - USES=libtool.
  - Remove -fPIC, PTHREAD_CFLAGS and PTHREAD_LIBS.
  - Remove pre-install target.  Not needed with staging.
  
  PR:		ports/189749

Modified:
  head/mail/dbmail22/Makefile
  head/mail/dbmail22/pkg-plist
  head/mail/gmime2-sharp/Makefile
  head/mail/gmime2/Makefile
  head/mail/gmime2/files/patch-docs_Makefile.in   (contents, props changed)
  head/mail/gmime2/pkg-plist
  head/mail/p5-MIME-Fast/Makefile
  head/sysutils/tracker-client/Makefile

Modified: head/mail/dbmail22/Makefile
==============================================================================
--- head/mail/dbmail22/Makefile	Thu May 29 21:07:59 2014	(r355750)
+++ head/mail/dbmail22/Makefile	Thu May 29 21:16:11 2014	(r355751)
@@ -3,7 +3,7 @@
 
 PORTNAME=	dbmail
 PORTVERSION=	2.2.18
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	mail
 MASTER_SITES=	http://www.dbmail.org/download/2.2/
 PKGNAMESUFFIX=	22
@@ -36,15 +36,15 @@ SIEVE_LIB_DEPENDS=	libsieve.so:${PORTSDI
 LDAP_CONFIGURE_WITH=	ldap
 LDAP_USE=		OPENLDAP=yes
 
-USE_AUTOTOOLS=	libtool
+GNU_CONFIGURE=	yes
+USES=		gmake libtool pkgconfig
 USE_LDCONFIG=	${PREFIX}/lib/dbmail
 USE_RC_SUBR=	dbmail-pop3d dbmail-lmtpd dbmail-imapd dbmail-timsieved
 USE_GNOME=	glib20
 USE_OPENSSL=	yes
-USES=		gmake pkgconfig
 
-CFLAGS+=	-fPIC -I${LOCALBASE}/include ${PTHREAD_CFLAGS}
-LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
+CFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
 CONFIGURE_ENV+=	LOCALBASE=${LOCALBASE}
 CONFIGURE_ARGS+=	--with-pkglibdir=${LOCALBASE}/lib/dbmail
 MAKE_ARGS+=	mandir=${MANPREFIX}/man
@@ -80,15 +80,6 @@ post-configure:
 	@${REINPLACE_CMD} -i.orig 's!/etc/dbmail.conf!${PREFIX}/etc/dbmail.conf!g' \
 				${WRKSRC}/dbmail.h
 
-# remove leftovers which are not removed by some revisions of port
-# fixes the `Shared object "libpgsqldbmail.so.0" not found, required by "libdbmail.so.0"' error.
-pre-install:
-	@for f in 'a' 'la' 'so' 'so.0'; do \
-	  if [ -f ${STAGEDIR}${PREFIX}/lib/libdbmail.$$f ] ; then \
-	    ${RM} ${STAGEDIR}${PREFIX}/lib/libdbmail.$$f; \
-	  fi; \
-	done
-
 post-install:
 	@${INSTALL_DATA} ${WRKSRC}/dbmail.conf ${STAGEDIR}${PREFIX}/etc/dbmail.conf-dist
 	@${MKDIR} ${STAGEDIR}${DATADIR}

Modified: head/mail/dbmail22/pkg-plist
==============================================================================
--- head/mail/dbmail22/pkg-plist	Thu May 29 21:07:59 2014	(r355750)
+++ head/mail/dbmail22/pkg-plist	Thu May 29 21:16:11 2014	(r355751)
@@ -2,34 +2,27 @@
 etc/dbmail.conf-dist
 @exec if [ ! -f %D/etc/dbmail.conf ] ; then cp -p %D/%F %B/dbmail.conf; fi
 @exec mkdir -p %D/lib/dbmail
-%%LDAP%%lib/dbmail/libauth_ldap.a
-%%LDAP%%lib/dbmail/libauth_ldap.la
 %%LDAP%%lib/dbmail/libauth_ldap.so
 %%LDAP%%lib/dbmail/libauth_ldap.so.0
-lib/dbmail/libauth_sql.a
-lib/dbmail/libauth_sql.la
+%%LDAP%%lib/dbmail/libauth_ldap.so.0.0.0
 lib/dbmail/libauth_sql.so
 lib/dbmail/libauth_sql.so.0
-lib/dbmail/libdbmail.a
-lib/dbmail/libdbmail.la
+lib/dbmail/libauth_sql.so.0.0.0
 lib/dbmail/libdbmail.so
 lib/dbmail/libdbmail.so.0
-%%MYSQL%%lib/dbmail/libmysql.a
-%%MYSQL%%lib/dbmail/libmysql.la
+lib/dbmail/libdbmail.so.0.0.0
 %%MYSQL%%lib/dbmail/libmysql.so
 %%MYSQL%%lib/dbmail/libmysql.so.0
-%%PGSQL%%lib/dbmail/libpgsql.a
-%%PGSQL%%lib/dbmail/libpgsql.la
+%%MYSQL%%lib/dbmail/libmysql.so.0.0.0
 %%PGSQL%%lib/dbmail/libpgsql.so
 %%PGSQL%%lib/dbmail/libpgsql.so.0
-%%SIEVE%%lib/dbmail/libsort_sieve.a
-%%SIEVE%%lib/dbmail/libsort_sieve.la
+%%PGSQL%%lib/dbmail/libpgsql.so.0.0.0
 %%SIEVE%%lib/dbmail/libsort_sieve.so
 %%SIEVE%%lib/dbmail/libsort_sieve.so.0
-%%SQLITE%%lib/dbmail/libsqlite.a
-%%SQLITE%%lib/dbmail/libsqlite.la
+%%SIEVE%%lib/dbmail/libsort_sieve.so.0.0.0
 %%SQLITE%%lib/dbmail/libsqlite.so
 %%SQLITE%%lib/dbmail/libsqlite.so.0
+%%SQLITE%%lib/dbmail/libsqlite.so.0.0.0
 @dirrm lib/dbmail
 man/man1/dbmail-smtp.1.gz
 man/man1/dbmail.1.gz

Modified: head/mail/gmime2-sharp/Makefile
==============================================================================
--- head/mail/gmime2-sharp/Makefile	Thu May 29 21:07:59 2014	(r355750)
+++ head/mail/gmime2-sharp/Makefile	Thu May 29 21:16:11 2014	(r355751)
@@ -1,14 +1,14 @@
 # Created by: Tom McLaughlin <tmclaugh@sdf.lonestar.org>
 # $FreeBSD$
 
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	mail
-PKGNAMESUFFIX=	-sharp
+PKGNAMESUFFIX=	2-sharp
 
 MAINTAINER=	mono@FreeBSD.org
 COMMENT=	Mono bindings for gmime
 
-IGNORE=		try to install weaked-named assembly into the GAC.
+IGNORE=		try to install weaked-named assembly into the GAC
 
 LIB_DEPENDS=	libgmime-2.0.so:${PORTSDIR}/mail/gmime2
 
@@ -18,17 +18,14 @@ INSTALL_WRKSRC=	${BUILD_WRKSRC}
 DESCR=		${.CURDIR}/pkg-descr
 PLIST=		${.CURDIR}/pkg-plist
 
-USES=		mono pathfix
+USES=		mono
 USE_GNOME=	glib20 gtksharp20
 CONFIGURE_ARGS=	--enable-mono=yes
 
-LATEST_LINK=	gmime2-sharp
-
 # Else we conflict with mail/gmime2
-NOPORTDOCS=	yes
+OPTIONS_EXCLUDE=DOCS
 
 # Done in pre-configure because master port has a post-patch target already.
-NO_STAGE=	yes
 pre-configure:
 	@${REINPLACE_CMD} -e 's|.@GMIME_VERSION@||g' \
 		${WRKSRC}/mono/gmime-sharp.dll.config.in

Modified: head/mail/gmime2/Makefile
==============================================================================
--- head/mail/gmime2/Makefile	Thu May 29 21:07:59 2014	(r355750)
+++ head/mail/gmime2/Makefile	Thu May 29 21:16:11 2014	(r355751)
@@ -3,9 +3,10 @@
 
 PORTNAME=	gmime
 PORTVERSION=	2.2.27
-PORTREVISION?=	0
+PORTREVISION?=	1
 CATEGORIES?=	mail
 MASTER_SITES=	GNOME
+PKGNAMESUFFIX?=	2
 
 MAINTAINER?=	ahicks@p-o.co.uk
 COMMENT?=	Library (written in C) for parsing and creating messages using MIME
@@ -17,7 +18,7 @@ CONFLICTS=	gmime-1.0.* gmime-2.4.*
 SLAVEDIRS=	mail/gmime2-sharp
 
 USE_GNOME?=	glib20
-USES=		gmake pathfix pkgconfig iconv
+USES+=		gmake iconv libtool pathfix pkgconfig
 USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes
 # www.freebsd.org/cgi/query-pr.cgi?pr=118092
@@ -27,9 +28,7 @@ CONFIGURE_ARGS?=	${ICONV_CONFIGURE_BASE}
 			--enable-mono=no \
 			--program-transform-name="s/uuencode/gmime-uuencode/;s/uudecode/gmime-uudecode/;"
 CONFIGURE_ENV=	LIBS="-L${LOCALBASE}/lib"
-CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
-
-LATEST_LINK?=	${PORTNAME}2
+CPPFLAGS+=	-I${LOCALBASE}/include
 
 OPTIONS_DEFINE=	DOCS
 

Modified: head/mail/gmime2/files/patch-docs_Makefile.in
==============================================================================
--- head/mail/gmime2/files/patch-docs_Makefile.in	Thu May 29 21:07:59 2014	(r355750)
+++ head/mail/gmime2/files/patch-docs_Makefile.in	Thu May 29 21:16:11 2014	(r355751)
@@ -1,6 +1,3 @@
-
-$FreeBSD$
-
 --- docs/Makefile.in.orig	2008-01-03 09:05:09.000000000 -0200
 +++ docs/Makefile.in	2008-01-03 09:05:21.000000000 -0200
 @@ -193,7 +193,7 @@

Modified: head/mail/gmime2/pkg-plist
==============================================================================
--- head/mail/gmime2/pkg-plist	Thu May 29 21:07:59 2014	(r355750)
+++ head/mail/gmime2/pkg-plist	Thu May 29 21:16:11 2014	(r355751)
@@ -51,9 +51,9 @@ include/gmime-2.0/gmime/gmime.h
 include/gmime-2.0/gmime/internet-address.h
 lib/gmimeConf.sh
 lib/libgmime-2.0.a
-lib/libgmime-2.0.la
 lib/libgmime-2.0.so
-lib/libgmime-2.0.so.4
+lib/libgmime-2.0.so.2
+lib/libgmime-2.0.so.2.2.27
 libdata/pkgconfig/gmime-2.0.pc
 @dirrm include/gmime-2.0/gmime
 @dirrm include/gmime-2.0

Modified: head/mail/p5-MIME-Fast/Makefile
==============================================================================
--- head/mail/p5-MIME-Fast/Makefile	Thu May 29 21:07:59 2014	(r355750)
+++ head/mail/p5-MIME-Fast/Makefile	Thu May 29 21:16:11 2014	(r355751)
@@ -3,7 +3,7 @@
 
 PORTNAME=	MIME-Fast
 PORTVERSION=	1.6
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	mail perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-

Modified: head/sysutils/tracker-client/Makefile
==============================================================================
--- head/sysutils/tracker-client/Makefile	Thu May 29 21:07:59 2014	(r355750)
+++ head/sysutils/tracker-client/Makefile	Thu May 29 21:16:11 2014	(r355751)
@@ -4,7 +4,7 @@
 
 PORTNAME=	tracker
 PORTVERSION=	0.6.95
-PORTREVISION=	17
+PORTREVISION=	18
 CATEGORIES=	sysutils gnome
 MASTER_SITES=	GNOME
 PKGNAMESUFFIX?=	-client
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Tijl Coosemans freebsd_committer 2014-05-29 22:17:28 UTC
State Changed
From-To: open->closed

All patches committed.